input,
textarea,
select {
    position: relative;
    background-color: rgb(167 228 255 / 10%);
    border: none;
    padding: 6px 6px;
    width: 100%;
    border-bottom: 1px solid #57c1cf;
    border-radius: 5px;
    transition: all 0.3s ease;
    resize: none !important;
}

input:focus,
textarea:focus,
select:focus {
    outline: none;
    background-color: #fff;
}

input:hover,
input:valid,
textarea:hover,
textarea:valid,
select:hover,
select:valid {
    background-color: #fff;
}

label {
    border-bottom: 1px
}

div.input {
    border: 2px solid gray;
    border-radius: 12px;
    text-align: right;
    padding: 12px;
}

div.input label {
    cursor: pointer;
}

div.input-icon {
    position: relative;
    display: inline-block;
    width: 100%;
    border: 1px solid black;
    border-radius: 10px;
    padding: 0 10px;
}

div.input-icon input {
    width: 95%;
    border: none;
    border-radius: 20px;
}

div.input-icon i {
    position: absolute;
    top: 6px;
    right: 10px;
    font-size: 24px;
    cursor: pointer;
}